#define trigPin 9
#define echoPin 7
#define motorPin 3
#define buzzPin 2
#define ledPin 0

long duration, distance;
//int sound=250;
void setup() {
  
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(ledPin, OUTPUT);

}

void loop() { //open loop
  
  // TRIGGER
  digitalWrite(trigPin, LOW);  
  delayMicroseconds(2); 
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  // END TRIGGER
  
  // READ ECHO 
  duration = pulseIn(echoPin, HIGH);
  // END READ ECHO
  
  // CALC DISTANCE
  distance = (duration/2) * 29.1;
  // END CALC DISTANCE
  
  // ACT
  if (distance <= 30) {
    digitalWrite (ledPin, HIGH);
}
  else {
    digitalWrite (ledPin, LOW);
  }
 
  
   
  delay(500);


} // close loop
   


