#include "Ultrasonic.h"

#define LED1 0  // LED1 Pin
#define TRIG 9 // Trigger Pin
#define ECHO 7 // Echo Pin
#define MOTOR 3 // Motor Pin
#define BUZZ 2 // Buzzer Pin

int Range; // The range of the object from the HC-SR04 Ultarsonic Module
int Dist; // The Distance value
int sound=1000; // Initial sound

Ultrasonic ultrasonic(TRIG,ECHO); // Create and initialize the Ultrasonic object.

void setup() {
  pinMode(LED1, OUTPUT);
  Dist = 5;
}

void loop() {
  Range = ultrasonic.Ranging(CM); // Range is calculated in Centimeters. 
  //Range = ultrasonic.Ranging(INC); // Range is calculated in Inches.

if (Range < Dist) { 
   analogWrite(MOTOR,255);
   }
   else if (Range > Dist) { 
    analogWrite(MOTOR, 0); 
  }
  
  
    delay(50);
    analogWrite(MOTOR, 0); 

}
